

Patch from Andrey Panin <pazke@orbita1.ru>

Hi.

I'm here again, starting another hopeless attempt to submmit
visws subarch support for 2.5. This series of patches was tested
by me and brave people from linux-visws-devel mailing list and
our beloved workstations seem to work well under 2.5.xx.

This patch moves enable_NMI_through_LVT0() function from io_apic.c
to apic.c to allow SMP kernel build without io_apic.c included.




 arch/i386/kernel/apic.c    |   12 ++++++++++++
 arch/i386/kernel/io_apic.c |   12 ------------
 2 files changed, 12 insertions(+), 12 deletions(-)

diff -puN arch/i386/kernel/apic.c~visws-1 arch/i386/kernel/apic.c
--- 25/arch/i386/kernel/apic.c~visws-1	Fri Feb 14 14:18:51 2003
+++ 25-akpm/arch/i386/kernel/apic.c	Fri Feb 14 14:18:51 2003
@@ -54,6 +54,18 @@ int prof_multiplier[NR_CPUS] = { 1, };
 int prof_old_multiplier[NR_CPUS] = { 1, };
 DEFINE_PER_CPU(int, prof_counter) = 1;
 
+void enable_NMI_through_LVT0 (void * dummy)
+{
+	unsigned int v, ver;
+
+	ver = apic_read(APIC_LVR);
+	ver = GET_APIC_VERSION(ver);
+	v = APIC_DM_NMI;			/* unmask and set to NMI */
+	if (!APIC_INTEGRATED(ver))		/* 82489DX */
+		v |= APIC_LVT_LEVEL_TRIGGER;
+	apic_write_around(APIC_LVT0, v);
+}
+
 int get_maxlvt(void)
 {
 	unsigned int v, ver, maxlvt;
diff -puN arch/i386/kernel/io_apic.c~visws-1 arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~visws-1	Fri Feb 14 14:18:51 2003
+++ 25-akpm/arch/i386/kernel/io_apic.c	Fri Feb 14 14:18:51 2003
@@ -1810,18 +1810,6 @@ static struct hw_interrupt_type lapic_ir
 	end_lapic_irq
 };
 
-void enable_NMI_through_LVT0 (void * dummy)
-{
-	unsigned int v, ver;
-
-	ver = apic_read(APIC_LVR);
-	ver = GET_APIC_VERSION(ver);
-	v = APIC_DM_NMI;			/* unmask and set to NMI */
-	if (!APIC_INTEGRATED(ver))		/* 82489DX */
-		v |= APIC_LVT_LEVEL_TRIGGER;
-	apic_write_around(APIC_LVT0, v);
-}
-
 static void setup_nmi (void)
 {
 	/*

_
